Commits

Ronald Oussoren committed 28520fd

- Fix release-date in the NEWS file
- Add notes about WebKit to the Install.txt
- coding-style.html was updated when I recreated the HTML (?)
- website.lst: Update for the 1.0b1 release on our website
- make_distrib.py, postflight: Move nibclassbuilder to the right location
after installation, instead of installing it directly into /usr/local/bin
(solves #741782)
- update setup.py to enable builds on system with Safari 1.0 but without
the WebKit SDK

Comments (0)

Files changed (8)

pyobjc/Doc/coding-style.html

 <li>Add appropriate ReST style fields to the top of the document as comments:<pre>
 # Author: David Goodger
 # Contact: goodger@users.sourceforge.net
-# Revision: $Revision: 1.15 $
-# Date: $Date: 2003/07/03 20:43:33 $
+# Revision: $Revision: 1.16 $
+# Date: $Date: 2003/07/07 07:02:10 $
 # Copyright: This module has been placed in the public domain.
 </pre>
 </li>

pyobjc/Doc/website.lst

 Install.txt,user,0
 intro.txt,user,5
 users.txt,user,10
-tutorial.txt,user,14
+tutorial.txt,user,12
+extending_objc_with_python.txt,user,13
+tutorial_reading.txt,user,14
 ProjectBuilder-SyntaxHighlighting.txt,user,15
+api-notes-macosx.txt,user,17
 warts.txt,user,20
 wrapping.txt,user,30
 coding-style.txt,developer,10

pyobjc/Install.html

 above will only install pyobjc for whatever version of python is the
 default on the command line.   Make sure you are installing python
 against the correct version of python.</p>
+<p>To be able to build the wrappers for the WebKit framework (included with
+Safari 1.0), you'll have to install the WebKit SDK. You can download 
+this from the <a href="http://connect.apple.com">ADC website</a>.</p>
 <h2><a name="examples">Examples</a></h2>
 <p>The <a href="Examples/00ReadMe.html">examples directory</a> contains a number of projects that demonstrate
 various features of the PyObjC bridge. The scripts at the top level of

pyobjc/Install.txt

 default on the command line.   Make sure you are installing python
 against the correct version of python.
 
+To be able to build the wrappers for the WebKit framework (included with
+Safari 1.0), you'll have to install the WebKit SDK. You can download 
+this from the `ADC website <http://connect.apple.com>`_.
+
 Examples
 ========
 

pyobjc/Installer Package/Resources/postflight

+#!/bin/sh
+
+# This is MacOS X 10.2 specific
+
+if [ ! -d /usr/local/bin/. ]; then
+	mkdir -p /usr/local/bin
+fi
+
+cp /usr/lib/python2.2/site-packages/PyObjC/bin/* /usr/local/bin
+if [ $? != 0 ]; then
+	echo "Could not move scripts to the correct location"
+	exit 1
+fi
+
+rm -r /usr/lib/python2.2/site-packages/PyObjC/bin
+if [ $? != 0 ]; then
+	echo "Could not move scripts to the correct location [2]"
+	exit 1
+fi
+
+exit 0
 
 WHAT'S NEW:
 
-Version 1.0b1 (2003-07-03 [preliminary date]):
+Version 1.0b1 (2003-07-05):
 
 - More tutorials
   Two new tutorials were added: 'Adding Python code to an existing ObjC 

pyobjc/Scripts/make_distrib.py

 for ln in fd.xreadlines():
 	sys.stdout.write(ln)
 
-print "Running: '%s' setup.py install --prefix='%s/package%s' --install-scripts=%s/package/usr/local/bin"%(
-	escquotes(PYTHON), escquotes(BUILDDIR), escquotes(basedir), escquotes(BUILDDIR))
-fd = os.popen("'%s' setup.py install --prefix='%s/package%s' --install-scripts=%s/package/usr/local/bin"%(
-	escquotes(PYTHON), escquotes(BUILDDIR), escquotes(basedir), escquotes(BUILDDIR)), 'r')
+print "Running: '%s' setup.py install --prefix='%s/package%s' --install-scripts=%s/package%s/lib/python%s/site-packages/PyObjC/bin"%(
+	escquotes(PYTHON), escquotes(BUILDDIR), escquotes(basedir), escquotes(BUILDDIR), escquotes(basedir), PYTHONVER)
+fd = os.popen("'%s' setup.py install --prefix='%s/package%s' --install-scripts=%s/package%s/lib/python%s/site-packages/PyObjC/bin"%(
+	escquotes(PYTHON), escquotes(BUILDDIR), escquotes(basedir), escquotes(BUILDDIR), escquotes(basedir), PYTHONVER), 'r')
 for ln in fd.xreadlines():
 	sys.stdout.write(ln)
 
 CFLAGS.append('-IInclude/')
 CFLAGS.append('-Ibuild/codegen/')
 
-def IfFrameWork(name, packages, extensions):
+def IfFrameWork(name, packages, extensions, headername=None):
     """
     Return the packages and extensions if the framework exists, or
     two empty lists if not.
     """
-    if os.path.exists(os.path.join('/System/Library/Frameworks/', name)):
-        return packages, extensions
-    if os.path.exists(os.path.join('/Library/Frameworks/', name)):
-        return packages, extensions
+    for pth in ('/System/Library/Frameworks', '/Library/Frameworks'):
+        basedir = os.path.join(pth, name)
+        if os.path.exists(basedir):
+            if (headername is None) or os.path.exists(os.path.join(basedir, "Headers", headername)):
+                return packages, extensions
     return [], []
 
 
                       ],
                       **WebKitDepends
                       ),
-        ])
+        ], headername="WebKit.h")
 
 
 def package_version():
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.